> ## Documentation Index
> Fetch the complete documentation index at: https://rendi.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Stored Files

> Get the list of all stored files for an account, ordered by creation time - descending. Can return command output files or stored files. Will not return deleted files or input files.



## OpenAPI

````yaml GET /v1/files
openapi: 3.1.0
info:
  title: FFmpeg Command API
  description: API for running FFmpeg in a cloud environment
  version: 1.0.0
servers:
  - url: https://api.rendi.dev
    description: Rendi - FFmpeg API
security: []
paths:
  /v1/files:
    get:
      tags:
        - API
        - File Management
      summary: Get list of all stored files
      description: >-
        Get the list of all stored files for an account, ordered by creation
        time - descending. Can return command output files or stored files. Will
        not return deleted files or input files.
      operationId: get_files_v1_files_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            exclusiveMinimum: 0
            description: Maximum number of files to return
            default: 1000
            title: Limit
          description: Maximum number of files to return
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Number of files to skip before starting to collect the result set
            default: 0
            title: Offset
          description: Number of files to skip before starting to collect the result set
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RendiBaseStoredFile'
                title: Response Get Files V1 Files Get
        '401':
          description: Invalid API key
          content:
            application/json:
              example:
                detail: Invalid authorization key
        '422':
          description: Invalid request
        '429':
          description: Rate limit exceeded
      security:
        - APIKeyHeader: []
components:
  schemas:
    RendiBaseStoredFile:
      properties:
        file_id:
          type: string
          title: File Id
          description: Unique identifier for the stored file
          examples:
            - 987fcdeb-a89b-43d3-b456-789012345678
        storage_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Storage Url
          description: URL where the file is stored
          examples:
            - >-
              https://storage.rendi.dev/123e4567-e89b-12d3-a456-426614174000/output.avi
        status:
          anyOf:
            - $ref: '#/components/schemas/FileStatus'
            - type: 'null'
          description: Status of the file
          examples:
            - STORED
        rendi_store_type:
          anyOf:
            - $ref: '#/components/schemas/RendiFileStoreType'
            - type: 'null'
          description: Type of storage of the file in rendi
          examples:
            - STORED_FILE
        error_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Status
          description: Status of any error that occurred during file processing
          examples:
            - UNREACHABLE_INPUT_FILE
        external_error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: External Error Message
          description: Error details if the file failed to be processed
          examples:
            - Input file url https://rendi.dev/example is not reachable.
        is_deleted:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Deleted
          description: Whether the file has been deleted
          examples:
            - false
        size_mbytes:
          anyOf:
            - type: number
            - type: 'null'
          title: Size Mbytes
          description: Size of the output file or folder in megabytes
          examples:
            - 15.2
        file_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: File Count
          description: Number of files in the output folder/playlist
          examples:
            - 5
        size_compressed_mbytes:
          anyOf:
            - type: number
            - type: 'null'
          title: Size Compressed Mbytes
          description: Size of the output compressed folder in megabytes
          examples:
            - 15.2
      type: object
      required:
        - file_id
      title: RendiBaseStoredFile
      description: >-
        Represents a file stored by rendi. Could either be an uploaded file or a
        file generated by running a command.


        Basic model containing file location size and id.
    FileStatus:
      type: string
      enum:
        - QUEUED
        - DOWNLOADING
        - DOWNLOADED
        - FAILED
        - STORED
      title: FileStatus
    RendiFileStoreType:
      type: string
      enum:
        - INPUT
        - OUTPUT
        - STORED_FILE
      title: RendiFileStoreType
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY

````